Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.wrappers
[Java] Class PojoWrapper

    java.lang.Object
      org.codehaus.groovy.runtime.wrappers.Wrapper
          org.codehaus.groovy.runtime.wrappers.PojoWrapper

    public class PojoWrapper
    extends Wrapper

Authors:
  John Wilson

Field Summary
`protected MetaClass` | `delegate`
`protected Object` | `wrapped`

Fields inherited from class Wrapper
constrainedType, delegatingMetaClass

Constructor Summary
`PojoWrapper(Object wrapped, Class constrainedType)`

Method Summary
`protected MetaClass` | `getDelegatedMetaClass()`
`Object` | `getProperty(String property)`
`protected Object` | `getWrapped()`
`Object` | `invokeMethod(String methodName, Object arguments)`
`void` | `setMetaClass(MetaClass metaClass)`
`void` | `setProperty(String property, Object newValue)`
`Object` | `unwrap()`

Methods inherited from class Wrapper
getDelegatedMetaClass, getMetaClass, getType, getWrapped, unwrap

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### delegate

    protected MetaClass delegate

### wrapped

    protected final Object wrapped

Constructor Detail

### PojoWrapper

    public PojoWrapper(Object wrapped, Class constrainedType)

Method Detail

### getDelegatedMetaClass

    protected MetaClass getDelegatedMetaClass()

### getProperty

    public Object getProperty(String property)

### getWrapped

    protected Object getWrapped()

### invokeMethod

    public Object invokeMethod(String methodName, Object arguments)

### setMetaClass

    public void setMetaClass(MetaClass metaClass)

### setProperty

    public void setProperty(String property, Object newValue)

### unwrap

    public Object unwrap()

Copyright © 2003-2010 The Codehaus. All rights reserved.